# Visualization
TKV3d
Select3D

# Select3D_Box2d Struct Reference

`#include <Select3D_Box2d.hxx>`

## Public Member Functions

| Select3D_Box2d ()
| Select3D_Box2d (const Bnd_Box2d &theBox)
| operator Bnd_Box2d () const
Select3D_Box2d | operator= (const Bnd_Box2d &theBox)
void | Update (const gp_Pnt2d &thePnt)
void | SetVoid ()
Standard_Boolean | IsVoid () const

## Data Fields

Standard_ShortReal | xmin
Standard_ShortReal | ymin
Standard_ShortReal | xmax
Standard_ShortReal | ymax

## Private Member Functions

void | SetField (const Bnd_Box2d &theBox)

## Constructor & Destructor Documentation

Select3D_Box2d::Select3D_Box2d | ( |  | ) | `[inline]`

Select3D_Box2d::Select3D_Box2d | ( | const Bnd_Box2d & | theBox | ) | `[inline]`

## Member Function Documentation

Standard_Boolean Select3D_Box2d::IsVoid | ( |  | ) | const`[inline]`

Select3D_Box2d::operator Bnd_Box2d | ( |  | ) | const`[inline]`

Select3D_Box2d Select3D_Box2d::operator= | ( | const Bnd_Box2d & | theBox | ) | `[inline]`

void Select3D_Box2d::SetField | ( | const Bnd_Box2d & | theBox | ) | `[inline, private]`

void Select3D_Box2d::SetVoid | ( |  | ) | `[inline]`

void Select3D_Box2d::Update | ( | const gp_Pnt2d & | thePnt | ) | `[inline]`

## Field Documentation

Standard_ShortReal Select3D_Box2d::xmax

Standard_ShortReal Select3D_Box2d::xmin

Standard_ShortReal Select3D_Box2d::ymax

Standard_ShortReal Select3D_Box2d::ymin

The documentation for this struct was generated from the following file:

- Select3D_Box2d.hxx